| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
Message.cpp File Reference
`#include "GaudiKernel/Message.h"`
`#include "GaudiKernel/IMessageSvc.h"`
`#include "GaudiKernel/ThreadLocalContext.h"`
`#include "GaudiKernel/Time.h"`
`#include "GaudiKernel/Timing.h"`
`#include <algorithm>`
`#include <cctype>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <iomanip>`
`#include <iostream>`
`#include <string>`
Include dependency graph for Message.cpp:

Go to the source code of this file.

## Macros
#define | SET(x)

## Functions
std::ostream & | operator<< (std::ostream &stream, const Message &msg)
| Insert the message into a stream. More...
bool | operator== (const Message &a, const Message &b)
| Insert the message into a stream. More...

## Macro Definition Documentation

#define SET | ( |  | x | ) |

Value:
case x: \
level = #x; \
break

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Message & | msg
| ) |  |

Insert the message into a stream.

Definition at line 119 of file Message.cpp.

120 {
121 msg.makeFormattedMsg( msg.m_format );
122 stream << msg.m_formatted_msg;
123 return stream;
124 }
Message::m_formatted_msg
std::string m_formatted_msg
Formatted message.
Definition: Message.h:107
Message::m_format
std::string m_format
The format string.
Definition: Message.h:98
Message::makeFormattedMsg
void makeFormattedMsg(const std::string &format) const
Format the message.
Definition: Message.cpp:214

bool operator== | ( | const Message & | a,
|  | const Message & | b
| ) |  |

Insert the message into a stream.

Definition at line 143 of file Message.cpp.

144 {
145 return a.m_source == b.m_source && a.m_type == b.m_type && a.m_message == b.m_message;
146 }
Message::m_message
std::string m_message
The message.
Definition: Message.h:92
Message::m_source
std::string m_source
The source.
Definition: Message.h:95
Message::m_type
int m_type
The type.
Definition: Message.h:104